## Apache Zeta Components Manual :: Docs For Class ezcReflectionTypeFactoryImpl

### Reflection::ezcReflectionTypeFactoryImpl

### Class ezcReflectionTypeFactoryImpl

Implements type mapping from string to ezcReflectionType

Source for this file: /Reflection/src/type_factory.php

### Implements interfaces:

- ezcReflectionTypeFactory

Version: | //autogen//

### Member Variables

protected ezcReflectionTypeMapper | `$mapper`

### Method Summary

public ezcReflectionTypeFactoryImpl | `__construct( )` Constructs a type factory implementation
public ezcReflectionType | `getType( $typeName )` Creates a type object for given type name

### Methods

#### __construct

ezcReflectionTypeFactoryImpl __construct( )

Constructs a type factory implementation

#### getType

ezcReflectionType getType( string|ReflectionClass $typeName )

Creates a type object for given type name

##### Parameters:

Name | Type | Description
--- | --- | ---
`$typeName` | string|ReflectionClass |

##### Implementation of:

Method | Description
--- | ---
`ezcReflectionTypeFactory::getType()` | Creates a type object for given typeName

Documentation generated by phpDocumentor 1.4.3